;;; My .emacs file
;;; Reglage en C
(setq c-mode-hook '(lambda () 
		     (c-set-style "k&r")
		     (c-toggle-auto-hungry-state 1))
      comment-multi-line t)

;;; Code lisp local
(setq load-path (append load-path (list "~/.el" 
					"~/.el/bbdb-2.00/")))
;;;
;;; VHDL mode
;;;
(setq auto-mode-alist (cons '("\\.vst\\'" . vhdl-mode) 
			    (cons '("\\.vbe\\'" . vhdl-mode) auto-mode-alist)))

;;; Pas de Backup
(setq make-backup-files nil)

;;; Sauvegarde des emplacements ds les fichiers
;;(toggle-save-place-globally)

;;; AutoFill ds les modes textes
(toggle-text-mode-auto-fill)

;;; Apparence fentre
(setq frame-title-format "Emacs - %b")
(setq icon-title-format "Emacs - %b")

;;; Placement au dmarrage
;;(cd "~/projets/sws")

;;; Numros des colonnes
(column-number-mode t)

;;; La librairie de Queinnec
;;(require 'defaultcontent)

;;; BBDB Niark, niark
;;(require 'bbdb)                                                       
;;(bbdb-initialize)

;;; Le mode abbrev par dfaut
(setq-default abbrev-mode t)
(read-abbrev-file "~/.abbrev_defs")
(setq save-abbrevs t)

;;; Le dico en franais
;;(setq ispell-alternate-dictionary "/usr/local/lib/francais.dico"
;;      ispell-dictionary "francais")

;;; Jolies couleurs
;;(add-hook 'find-file-hooks  ;; obsolte
;;	  'turn-on-font-lock)
(cond ((fboundp 'global-font-lock-mode)
       ;; Load the font-lock package.
       (require 'font-lock)
       ;; Maximum colors
       (setq font-lock-maximum-decoration t)
       ;; Lazy Mode
       (setq font-lock-support-mode 'lazy-lock-mode)
       ;; Turn on font-lock in all modes that support it
       (global-font-lock-mode t)))

;;; Custom du Mode OutLine
(setq outline-regexp "[ ]*[*]+")

;;; Inc et Dec
(load "~/.el/incdec.el")

;;; Decompression automatique
(require 'jka-compr)

;;; Generic Extras
;;(require 'generic-x)

;;; Extras du mode Dired
(require 'dired-x)

;;; Parenthses, crochets, ...
(require 'paren)
(show-paren-mode)

;;; Crypto base64
;;(require 'base64)

;;; Hilit19
;;(require 'hilit19)

;;; HTML
;;(autoload 'html-helper-mode "html-helper-mode" "Yay HTML" t)
;;(setq auto-mode-alist (cons '("\\.html$" . html-helper-mode) auto-mode-alist))

;;; Caractres europens
(standard-display-european 1)

;;; y/n  la place de yes/no
(fset 'yes-or-no-p 'y-or-n-p)

;;; Slection en inverse vido
(setq transient-mark-mode t)

;;; L'heure ds la barre
(setq display-time-day-and-date t)
(setq display-time-24hr-format t)
(display-time)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; append-tuareg.el - Tuareg quick installation: Append this file to .emacs.

; (setq auto-mode-alist (cons '("\\.ml\\w?" . tuareg-mode) auto-mode-alist))
; (autoload 'tuareg-mode "tuareg" "Major mode for editing Caml code" t)
; (autoload 'camldebug "camldebug" "Run the Caml debugger" t)

; (if (and (boundp 'window-system) window-system)
;     (if (string-match "XEmacs" emacs-version)
; 	(require 'sym-lock)
;       (require 'font-lock)))

(custom-set-variables
 '(visible-bell t)
 '(enable-multibyte-characters t))
