;;; My incdec.el file
;;;
;;; Thanks to Eric Marsden
;;;

(defun decrement-number-at-point ()
  (interactive "*")
  (let* ((word (current-word))
	 number next)
    (cond ((string-match "[-]?[0-9]+" word)
	   (setq number (string-to-number word))
	   (setq next (format "%d" (1- number)))))
    (when number
      (save-excursion
	(if (< number 0)		;Si le nombre est negatif...
	    (progn
	      (forward-word 1)
	      (kill-word -1)		;on efface le nombre 
	      (delete-char -1)		;et le signe
	      (insert next))
	  (progn
	    (forward-word 1)
	    (kill-word -1)		;Sinon, on efface uniquement le nombre
	    (insert next)))))))

(defun incrementnumber-at-point ()
  (interactive "*")
  (let* ((word (current-word))
	 number next)
    (cond ((string-match "[-]?[0-9]+" word)
	   (setq number (string-to-number word))
	   (setq next (format "%d" (1+ number)))))
    (when number
      (save-excursion
	(if (< number 0)		;Si le nombre est negatif...
	    (progn
	      (forward-word 1)
	      (kill-word -1)		;on efface le nombre 
	      (delete-char -1)		;et le signe
	      (insert next))
	  (progn
	    (forward-word 1)
	    (kill-word -1)		;Sinon, on efface uniquement le nombre
	    (insert next)))))))

(global-set-key "\C-ci" 'increment-number-at-point)
(global-set-key "\C-cd" 'decrement-number-at-point)
